Add a new file

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This api is used to add a file object. You will then be able to upload the actual file content with the "Upload binary content of file" api endpoint.

A brief explanation of the received json and its fields.

  • id: the id of the file. You can refer to this id for other operations such as delete, download, upload content.
  • updatedOn: the epoch time wth milliseconds precision that the file was updated. You can derive the actual time with various free tools on the internet, for example this one https://currentmillis.com/
  • createdOn: the epoch time wth milliseconds precision that the file was created. You can derive the actual time with various free tools on the internet, for example this one https://currentmillis.com/
  • name: the name of the file specified in the upload process.
  • version: the file version specified in the upload process.
  • tenantId: the id of the project this file belongs to.

A brief explanation of the request json and its fields:

  • name: the desired namefile of your file.
  • version: the desired version of your file.
Body Params
string

name of the file to add

string

version of the file to add

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json